Alteryx Designer Discussions

Find answers, ask questions, and share expertise about Alteryx Designer.
SOLVED

Gallery Error Alteryx "does not support using an earlier version of Alteryx"

ppetgra
6 - Meteoroid

Due to license agreements, I had to upgrade to a higher version when renewing my license to version 2022.1. When my network credentials changed, I had to re-upload the original workflow, created in an older Alteryx version, to Gallery, 2021.3. resulting in this message 

 

Problem Loading App
There was an error opening "filename.yxmd": This workflow was created by a more recent version of Alteryx, and may contain tools or functionality not present in this version. Alteryx does not support using an earlier version of Alteryx to open a workflow created with a newer version. For best results, download the latest version of Alteryx. Do you still want to attempt to open the workflow?

 

I opened the workflow using notepad and changed the line <AlteryxDocument yxmdVer="2021.3"> to matched the Gallery version. 

 

Ran the workflow using my current version 2022.1(restricted from downgrading Alteryx), saved to the Gallery, and tried to run again.  Still getting the same error message.

 

Does anyone have other possible solutions?

 

 

3 REPLIES 3
dana_mcdonough
Alteryx
Alteryx

Hi @ppetgra - you should be able to have two versions of Designer installed on your machine: one admin version and one non-admin version. Can you install the non-admin version of Alteryx Designer 2021.3 on your machine and use this while you're waiting for the Server to be upgraded?

ppetgra
6 - Meteoroid

Thank you so much!

 

I was able to install the non-admin version of Alteryx Designer 2021.3. I open the workflow in this version and saved it to the Gallery. The workflow is working again!  😊

 

dana_mcdonough
Alteryx
Alteryx

@ppetgra Great! I'm glad this worked for you. Please like my solution so others know to use it :) 

Labels